'use strict';

var ListaConstrucaoController = angular.module('ListaConstrucaoController', []);

ListaConstrucaoController.controller('ListaConstrucaoCtrl', ['$scope', '$location', '$routeParams', 'Construcao', 'Cliente', 'Material', 'Dashboard', 'CacheApp', 'UploadApp',
  ($scope, $location, $routeParams, Construcao, Cliente, Material, Dashboard, CacheApp, UploadApp) => {

    $scope.getConstrucoes = () => {
        $scope.AtualizaConstrucao();
        $scope.sessao.AcessosObras = [];
        $scope.addAcessoObra($scope.sessao.AcessosObras, $scope.sessao.Acessos.split(','));
        $scope.inicializaPaginacao(); 
        $scope.listaObraPaginacao();
        $scope.getResumoSituacaoObras();
    }

    $scope.filtraConstrucoes = (tipo) => {
        $scope.Situacao = tipo;
        $scope.inicializaPaginacao(); 
        $scope.listaObraPaginacao();
    }

    $scope.listaObraPaginacao = () => {
        var params = {
            IdClienteAdmin: $scope.sessao.ContaAdmin ? $scope.sessao.IdClienteAdmin : undefined,
            Texto: $scope.pesquisa,
            Situacao: $scope.Situacao,
            Paginacao: $scope.paginacao
        }
        $scope.paginacao.Load = true;
        Construcao.getListaObrasPaginacao(params,
            (data) => {
                $scope.sessao.QtdObra = 0;
                if (data.Instance)
                    data.Instance.forEach(construcao => {
                        $scope.sessao.QtdObra++;
                        var datanow = construcao.DataFinalizada ? new Date(construcao.DataFinalizada) : Date.now();
                        if (datanow < new Date(construcao.DataInicio)) {
                            construcao.diasDecorridos = 0;
                            construcao.dias = Math.ceil((Math.abs(new Date(construcao.DataInicio) - new Date(construcao.DataFim))) / (1000 * 3600 * 24));
                        }
                        else {
                            construcao.diasDecorridos = Math.ceil((Math.abs(new Date(construcao.DataInicio) - datanow)) / (1000 * 3600 * 24))-1;
                            if (datanow < new Date(construcao.DataFim)) {
                                construcao.dias = Math.ceil((Math.abs(datanow - new Date(construcao.DataFim))) / (1000 * 3600 * 24));
                                construcao.atrasado = false;
                            }
                            else {
                                construcao.dias = Math.ceil((Math.abs(new Date(construcao.DataFim) - datanow)) / (1000 * 3600 * 24))-1;
                                construcao.atrasado = true;
                            }
                        }
                        if (construcao.Acessos)
                            $scope.addAcessoObra($scope.sessao.AcessosObras, construcao.Acessos);

                        $scope.construcoes.push(construcao);
                    });
                else
                    $scope.construcoes = [];

                if ($scope.sessao.TipoPlano == 3) {
                    var jaAcessou = localStorage.getItem('jaAcessou') 
                    if (!jaAcessou) {
                        localStorage.setItem('jaAcessou', 'true')
                        if ($scope.construcoes && $scope.construcoes.length > 0)
                            $scope.DetalheConstrucao($scope.construcoes[0]);
                    }
                }

                $scope.sessao.MensagemConta = $scope.sessao.DiasFaltam > 1 ? ('Seu teste expira em ' + $scope.sessao.DiasFaltam + ' dias') : ($scope.sessao.DiasFaltam == 1 ? 'Seu teste expira hoje!' : 'Teste Expirado!');
                CacheApp.setSessao($scope.sessao);
                $scope.AtualizaSessaoPage();
                setTimeout(()=> {
                    $('[data-toggle="tooltip"]').tooltip();
                },10);

                verificaCargaArquivo();
                $scope.paginacao.Load = false;
            });
    }

    $scope.aplicaFiltro = (e) => {
        if ($scope.pesquisaOld == e.target.value) return;
        $scope.pesquisaOld = e.target.value;
        clearTimeout($scope.timer); 
        $scope.timer = setTimeout( () => {
            $scope.inicializaPaginacao(); 
            $scope.listaObraPaginacao();
        }, 1000);
    }

    $scope.inicializaPaginacao = () => {
        $scope.construcoes = [];
        $scope.paginacao = {
            Index: 0,
            Pages: 20
        };
    }

    var timeSeted = false;
    function verificaCargaArquivo() {
        Construcao.getCargaArquivoObra((data) => {
            if (data.Instance.length > 0) {
                data.Instance.forEach(c => {
                    $scope.construcoes.filter(f => f.Id == c.IdConstrucao).forEach(f => {
                        f.CargaArquivo = `Já foram carregados ${c.LinhaCarga} do total de ${c.LinhaTotal} registros...`;
                        f.PercentualCarga = c.Percentual;
                    })
                })
                if (!timeSeted)
                    $scope.timeIntervalCarga = setInterval(() => {
                        verificaCargaArquivo();
                    }, 5000);

                timeSeted = true;
            }
            else {
                $scope.construcoes.forEach(f => {
                    f.CargaArquivo = undefined;
                })
                clearInterval($scope.timeIntervalCarga);
            }
        })
    }

    $scope.addAcessoObra = (sessao, acessos) => {
        acessos.forEach(a => {
            if (sessao.indexOf(a) < 0)
                sessao.push(a);
        });
    }

    $scope.DetalheConstrucao = (construcao) => {
        if (construcao.DiasFaltam <= 0) {
            if (construcao.Dono) {
                if ($scope.sessao.TipoPlano == 3)
                    $scope.msgBoxAtencao('CONTA BLOQUEADA','Solicite o contato de nossos especialistas para continuar utilizando a plataforma.',
                    () => {
                        window.open(`https://www.vighapp.com/contato/index.html`,'_blank');
                    });
                else
                    $scope.msgBoxAtencao('CONTA BLOQUEADA','Não identificamos o pagamento da mensalidade.',
                    () => {
                        window.location.href = "#/pagamento";
                    });
            }
            else
                $scope.msgBoxAtencao('OBRA BLOQUEADA','Entre em contato com o administrador da conta.',()=>{});
        }
            
        else {
            CacheApp.setConstrucao(construcao);
            $scope.AtualizaConstrucao();
            $location.path("/construcao");
        }
    }

    $scope.NovaConstrucao = () => {
        if ($scope.sessao.TipoPlano == 3 && $scope.construcoes && $scope.construcoes.length > 2) {
            CacheApp.msgBoxAcessoPremium();
            return;
        }

        CacheApp.setConstrucao({ Tipo: 0, Dono: true, Novo: true });
        $location.path("/construcao/manter");
    }

    $scope.NovoAlmoxarifado = () => {
        CacheApp.setConstrucao({ Tipo: 0, Dono: true, Novo: true });
        $location.path("/construcao/manter");
    }

    $scope.NovoAdministrativo = () => {
        CacheApp.setConstrucao({ Tipo: 0, Dono: true, Novo: true });
        $location.path("/construcao/manter");
    }

    $scope.basePropria = (construcao) => {
        CacheApp.setConstrucao(construcao);
        $location.path("/materiais");
    };
    $scope.financeiro = (construcao) => {
        CacheApp.setConstrucao(construcao);
        $location.path("/notafiscal");
    }
    $scope.editarConstrucao = (construcao) => {
        CacheApp.setConstrucao(construcao);
        $location.path("/construcao/manter");
    }
    $scope.acessos = (construcao) => {
        CacheApp.setConstrucao(construcao);
        $location.path("/acessos");
    }
    $scope.relatorios = (construcao) => {
        CacheApp.setConstrucao(construcao);
        $location.path("/relatorios");
    }
    

    $scope.excluirAmoxarifado = (construcao) => {
        $scope.msgBoxPergunta(construcao.Titulo, 'Confirma exclusão do ' + construcao.TipoDescricao + '?'
            , () => {
                Construcao.delConstrucao(construcao.Id,
                    (data) => {
                        $scope.getConstrucoes();
                    });
            }
            , () => {
            });
    }

    $scope.CopyUrl = (construcao) => {
        Construcao.getUrlCompartilhamento({IdConstrucao: construcao.Id}, 
            (data) => {
                $scope.CopyText(data.Instance);
            }
        );
    }

    $scope.Descompartilhar = (construcao) => {
        var cliente = { IdCliente: $scope.sessao.IdCliente, IdConstrucao: construcao.Id };

        Construcao.delAcessosConstrucao(cliente,
            (data) => {
                var idx = $scope.construcoes.indexOf(construcao);
                $scope.construcoes.splice(idx, 1);
            });
    }

    $scope.orderBy = (field,reserve) => {
        $scope.fieldOrder = field; 
        $scope.reverse = reserve;
    }

    $scope.blocoDePlanilhas = () => {
        if ($scope.sessao.TipoPlano == 3) {
            CacheApp.msgBoxAcessoPremium();
            return;
        }

        $scope.exibirDropZone = true;
        $scope.listaXLS = [];
        $scope.getOrigemBase();
        document.querySelectorAll(".drop-zone__input").forEach((inputElement) => {
            const dropZoneElement = inputElement.closest(".drop-zone");

            dropZoneElement.addEventListener("click", (e) => {
                inputElement.click();
            });

            inputElement.addEventListener("change", (e) => {
                if (inputElement.files.length) {
                    const totImagens = inputElement.files.length;
                    var files = inputElement.files;
                    for (var i = 0; i<totImagens; i++){
                        if ($scope.listaXLS.some(c => c.file == files[i]) || files[i].name.indexOf('.xls') < 0)
                            continue;

                        $scope.listaXLS.push({
                            IdCliente: $scope.sessao.ContaAdmin ? $scope.sessao.IdClienteAdmin : $scope.sessao.IdCliente, 
                            Nome: files[i].name, 
                            file: files[i]
                        });
                    }
                    $scope.saveList = true;
                    $scope.$apply();
                }
            });

            dropZoneElement.addEventListener("dragover", (e) => {
                e.preventDefault();
                dropZoneElement.classList.add("drop-zone--over");
            });

            ["dragleave", "dragend"].forEach((type) => {
                dropZoneElement.addEventListener(type, (e) => {
                    dropZoneElement.classList.remove("drop-zone--over");
                });
            });

            dropZoneElement.addEventListener("drop", (e) => {
                e.preventDefault();

                if (e.dataTransfer.files.length) {
                    var files = e.dataTransfer.files;
                    const totImagens = files.length;
                    for (var i = 0; i<totImagens; i++){
                        if ($scope.listaXLS.some(c => c.file == files[i]) || files[i].name.indexOf('.xls') < 0)
                            continue;
                        
                        $scope.listaXLS.push({
                            IdCliente: $scope.sessao.IdCliente, 
                            Nome: files[i].name, 
                            file: files[i]
                        });
                    }

                    if ($scope.listaXLS.length > 0) {
                        $scope.saveList = true;
                        $scope.$apply();
                    }
                }

                dropZoneElement.classList.remove("drop-zone--over");
            });
        }); 
    }

    $scope.salvarListaXLS = () => {

        function salvaXls(xlsFile, config, callBackFunction) {
            xlsFile.progress = 0;
            UploadApp.UploadPlanilhaOrcamento(xlsFile, config,
                (progress) => {
                    xlsFile.progress = progress;
                },
                (result) => {
                    xlsFile.Enviado = true;
                    xlsFile.Sucesso = result.Code == 0;
                    xlsFile.Mensagem = result.Description;
                    callBackFunction(result);
                },
                (error) => {
                }
            );
        }

        function salvaXlsRecursivo(idx,params,callBack) {
            if (params.lista.length == idx)
                callBack(params.lista)
            else {
                salvaXls(params.lista[idx], params.config, () => {
                    salvaXlsRecursivo(idx+1,params,
                        (data)=>{
                            callBack(data);
                        }
                    );
                });
            }
        }

        var params = {
            lista: $scope.listaXLS,
            config: {
                TipoPlanilha: $scope.TipoPlanilhaSelecionada.Id,
                LinhaInicio: $scope.LinhaInicialSelecionada.Id,
                Coluna: {
                    Ordem: $scope.ColOrdem.Id,
                    Codigo: $scope.ColCodigo.Id,
                    Descricao: $scope.ColDescricao.Id,
                    Unidade: $scope.ColUnidade.Id,
                    Quantidade: $scope.ColQuantidade.Id,
                    Preco: $scope.ColPreco.Id,
                    PrecoMDO: $scope.ColPrecoMDO.Id,
                    PrecoMaterial: $scope.ColPrecoMaterial.Id,
                }
            }
        }

        if ($scope.TipoPlanilhaSelecionada.Id == $scope.TipoPlanilha.ORCABASE) {
            params.config.IdOrigem = $scope.IdBaseOrigem;
            var base = $scope.listaComposicaoDisponivel.filter(l => l.Id == $scope.IdOrigem)[0];
            params.config.UF = params.config.IdOrigem == 0 ? base.Id : base.UF;
            params.config.Periodo = params.config.IdOrigem == 0 ? '000000' : base.Periodo;
        }

        if ($scope.TipoPlanilhaSelecionada.Id == $scope.TipoPlanilha.COMPOSICAO) {
            params.config.TiposInsumos = {
                Composicao: $scope.TiposInsumos.Composicao,
                Material: $scope.TiposInsumos.Material,
                Equipamento: $scope.TiposInsumos.Equipamento,
                MaoDeObra: $scope.TiposInsumos.MaoDeObra,
                Servico: $scope.TiposInsumos.Servico,
                Taxa: $scope.TiposInsumos.Taxa,
            }
        }

        salvaXlsRecursivo(0,params,(data) => {
            $scope.saveList = false;
            $scope.getConstrucoes();
        });
    }

    $scope.getOrigemBase = () => {
        Material.getOrigemBaseComposicao(
            (data) => {
                $scope.listaOrigemDisponivel = data.Instance;
                $scope.getComposicaoDisponivel()
            });
    }

    $scope.getComposicaoDisponivel = () => {
        var params = {
            Origem: $scope.IdBaseOrigem
        }
        Material.getBaseComposicao(params,
            (data) => {
                $scope.listaComposicaoDisponivel = data.Instance.filter(d => d.Id != 0);
                $scope.IdOrigem = $scope.listaComposicaoDisponivel[0].Id.toString();
            });
    }

    $scope.abreLink = (tipo, opcao) => {
        var help = $scope.helpImport.filter(h => h.Id == opcao.Id)[0];
        var link = '';
        switch (tipo) {
            case 'video1':
                link = help.linkVideo;
                break;
            case 'video2':
                link = help.linkVideo2;
                break;
            case 'file1':
                link = help.linkFile;
                break;
            case 'file2':
                link = help.linkFile2;
                break;
            default:
                link = help.linkBlog;
                break;
        }

        window.open(link,'_blank')
    }

    $scope.getResumoSituacaoObras = () => {
        var params = { 
            IdClienteAdmin: $scope.sessao.ContaAdmin ? $scope.sessao.IdClienteAdmin : undefined
        }
        Dashboard.getResumoSituacaoObras(params,
        (data) =>  {
                $scope.ExecucaoAtrasada = data.Instance[0].ExecucaoAtrasada;
                $scope.ExecucaoNoPrazo = data.Instance[0].ExecucaoNoPrazo;
                $scope.Finalizada = data.Instance[0].Finalizada;
                $scope.Orcamento = data.Instance[0].Orcamento;
                $scope.Administrativo = data.Instance[0].Administrativo;
                $scope.TotalObras = $scope.ExecucaoAtrasada + $scope.ExecucaoNoPrazo + $scope.Finalizada + $scope.Orcamento + $scope.Administrativo;
            }
        );
    };

    $scope.excluirConstrucao = (construcao) => {
        $scope.msgBoxPergunta(construcao.Titulo, 'Confirma exclusão da ' + construcao.TipoDescricao + '?'
            , () => {
                Construcao.delConstrucao(construcao.Id,
                    (data) => {
                        $scope.getConstrucoes();
                    });
            }
            , () => {
            });
    }

    $scope.CopiarColarConstrucao = (construcao) => {
        var params = { 
            IdConstrucao: construcao.Id,
            IdClienteAdmin: construcao.IdClienteDono
        }
        Construcao.clonarConstrucao(params,
            (data) => {
                setTimeout(() => { $scope.getConstrucoes(); }, 500);
            });
    }

    $scope.finalizarConstrucao = (construcao) => {
        $scope.msgBoxPergunta('Finalizar ' + construcao.Titulo, 'Sua ' + construcao.TipoDescricao + ' ficará disponível somente para consulta, confirma a finalização?'
            , () => {

                swal({
                    title: 'Data de Finalização',
                    html: '<input type="date" class="input-lg" id="DataFinalizada" datasafari />',
                    showCancelButton: true,
                    confirmButtonColor: '#263143',
                    cancelButtonColor: '#F6A000',
                    confirmButtonText: 'Salvar',
                    cancelButtonText: "Cancelar",
                    onOpen: () => {
                        $('#DataFinalizada').val( $filter("date")(new Date(), 'yyyy-MM-dd') );
                    }
                    }).then((result) => {
                        if (result.value) {
                            Construcao.finalizarConstrucao(construcao.Id, $('#DataFinalizada').val()+' 03:05:00',
                                (data) => {
                                    $scope.msgBoxSucesso(construcao.TipoDescricao + ' Finalizada', 'Finalização executada com sucesso! Parabéns por mais uma empreitada concluída. : )',
                                        () => {
                                            $scope.getConstrucoes();
                                        });
                                });

                        }
                    }
                );

            }
            , () => {
            });

    }

    $scope.reabrirConstrucao = (construcao) => {
        Construcao.reabrirConstrucao(construcao.Id,
            (data) => {
                $scope.getConstrucoes();
            });
    }

    $scope.editarObra = (construcao) => {
        CacheApp.setConstrucao(construcao);
        $scope.AtualizaConstrucao();
        $location.path('/construcao/manter/');
    };

    $scope.compartilharObra = (construcao) => {
        CacheApp.setConstrucao(construcao);
        $scope.AtualizaConstrucao();
        $location.path('/acessos');
    };

    // $scope.loadLabels = () => {
    //     function getLanguage (key) {
    //         return $scope.labelsLang.filter(l => l.id == key)[0].label;
    //     }
    //     setTimeout(()=>{
    //         // console.log($scope.labelsLang);
    //         $scope.titulo = $scope.administrativo ? 'Administrativo' : getLanguage('titulo'); //'Obras';
    //     },1000);
    // }

    $scope.AcessoAndroid($routeParams, (sim) => {
        $scope.sessao = CacheApp.getSessao();

        if ($scope.sessao) {
            $scope.idioma = CacheApp.getIdioma();
            if (!$scope.idioma || !$scope.idioma.Idioma) {
                $scope.idioma = {
                    IdIdioma: $scope.sessao.IdIdioma,
                    Idioma: $scope.sessao.Idioma,
                    TagPage: $scope.sessao.TagPage,
                }
                CacheApp.setIdioma($scope.idioma)
            }
        }

        $scope.administrativo = $location.path() ? ($location.path().indexOf('administrativo') > 0) : false;
        // $scope.titulo = $scope.administrativo ? 'Administrativo' : $scope.labelsLang.filter(l => l.id == 'titulo')[0].label; //'Obras';
        $scope.titulo = 'texto';
        $scope.btnTexto = $scope.administrativo ? 'Novo Administrativo' : 'Nova Obra';

        CacheApp.delConstrucao();
        CacheApp.delMaterial();
        CacheApp.delNotaFiscal();

        $scope.getResumoSituacaoObras();

        // $scope.loadLabels();

        Cliente.getCliente( (data) => {
            var newSession = data.Instance[0];
            $scope.sessao.IdPlano = newSession.IdPlano;
            $scope.sessao.Plano = newSession.Plano;
            $scope.sessao.TipoPlano = newSession.TipoPlano;
            $scope.sessao.DataInicio = newSession.DataInicio;
            $scope.sessao.DataFim = newSession.DataFim;
            $scope.sessao.DiasFaltam = newSession.DiasFaltam;
            $scope.sessao.Acessos = newSession.Acessos;

            // console.log($scope.labelsLang);

            Cliente.getVersaoApp( (data) => {
                if (!$scope.sessao.VersaoVigha)
                    $scope.sessao.VersaoVigha = data.Instance.Versao;

                try {
                    $scope.sessao.UpdateAvailable = configVighaInit.versao != data.Instance.Versao;
                } catch {
                    $scope.sessao.UpdateAvailable = false;
                }

                CacheApp.setSessao($scope.sessao);
                $scope.AtualizaSessaoPage();
                $scope.getConstrucoes();
            });

        });

        $scope.listaTipo = [
            {Id: 0, Descricao: 'Todas', Field: 'Todas'},
            {Id: 1, Descricao: 'Orçamento', Field: 'Orçamento'},
            {Id: 2, Descricao: 'Em Execução', Field: 'Em Execução'},
            {Id: 3, Descricao: 'Atrasada', Field: 'Atrasada'},
            {Id: 4, Descricao: 'Finalizada', Field: 'Finalizada'},
            {Id: 5, Descricao: 'Dias Decorridos', Field: 'diasDecorridos'},
        ];

        $scope.listaOrdem = [
            {Id: 1, Descricao: 'Tipo', Field: 'TipoDescricao'},
            {Id: 2, Descricao: 'Descrição', Field: 'Titulo'},
            {Id: 3, Descricao: 'Data Início', Field: 'DataInicio'},
            {Id: 4, Descricao: 'Data Fim', Field: 'DataFim'},
            {Id: 5, Descricao: 'Dias Decorridos', Field: 'diasDecorridos'},
        ];

        $scope.listaTipoOrdem = [
            {Id: 1, Descricao: 'Ascendente', Reverse: false},
            {Id: 2, Descricao: 'Decrescente', Reverse: true},
        ];

        $scope.listaColunaPlanilha = [
            {Id: 'A', Descricao: 'A'},
            {Id: 'B', Descricao: 'B'},
            {Id: 'C', Descricao: 'C'},
            {Id: 'D', Descricao: 'D'},
            {Id: 'E', Descricao: 'E'},
            {Id: 'F', Descricao: 'F'},
            {Id: 'G', Descricao: 'G'},
            {Id: 'H', Descricao: 'H'},
        ];

        $scope.ColOrdem = {Id: 'A', Descricao: 'A'};
        $scope.ColCodigo = {Id: 'B', Descricao: 'B'};
        $scope.ColDescricao = {Id: 'C', Descricao: 'C'};
        $scope.ColUnidade = {Id: 'D', Descricao: 'D'};
        $scope.ColQuantidade = {Id: 'E', Descricao: 'E'};
        $scope.ColPreco = {Id: 'F', Descricao: 'F'};
        $scope.ColPrecoMDO = {Id: 'F', Descricao: 'F'};
        $scope.ColPrecoMaterial = {Id: 'G', Descricao: 'G'};

        $scope.TipoPlanilha = {
            ORCAMENTO: 1,
            ORCAMDOMAT: 2,
            ORCABASE: 3,
            COMPOSICAO: 4
        }
        
        $scope.IdBaseOrigem = '0';
        $scope.listaTipoPlanilha = [
            {Id: $scope.TipoPlanilha.ORCAMENTO, Descricao: 'Orçamento'},
            {Id: $scope.TipoPlanilha.ORCAMDOMAT, Descricao: 'Orçamento Mão de Obra e Material'},
            {Id: $scope.TipoPlanilha.ORCABASE, Descricao: 'Orçamento Conectado na Base'},
            {Id: $scope.TipoPlanilha.COMPOSICAO, Descricao: 'Composições'},
        ];
        $scope.TipoPlanilhaSelecionada = {Id: 1};

        $scope.listaLinhaInicial = [
            {Id: 1, Descricao: 1},
            {Id: 2, Descricao: 2},
            {Id: 3, Descricao: 3},
            {Id: 4, Descricao: 4},
            {Id: 5, Descricao: 5},
            {Id: 6, Descricao: 6},
            {Id: 7, Descricao: 7},
            {Id: 8, Descricao: 8},
            {Id: 9, Descricao: 9},
            {Id: 10, Descricao: 10},
        ];
        $scope.LinhaInicialSelecionada = {Id: 1};


        $scope.tipoSelecionado = $scope.listaTipoOrdem[0];

        $scope.titlesPlanilha = {
            TipoPlanilha: 'Tipo de planilha que será importada',
            Linha: 'Número da linha que se encontra a primeira Etapa ou Composição na planilha',
            TipoInsumo: 'Coluna que informa o Tipo do Insumo: Material, Equipamento, Mão-de-obra, Serviço, Taxa e Composição',
            Ordem: 'Coluna que informa a Ordem das Etapas ou Composições',
            Codigo: 'Coluna que informa o Código das Composições ou Insumos',
            Nome: 'Coluna que informa o Nome das Etapas, Composições ou Insumos',
            Unidade: 'Coluna que informa a Unidade das Composições ou Insumos',
            Quantidade: 'Coluna que informa a Quantidade das Composições ou Insumos',
            Preco: 'Coluna que informa o Preço Unitário das Composições ou Insumos',
            PrecoMDO: 'Coluna que informa o Preço Unitário da Mão-de-obra das Composições',
            PrecoMAT: 'Coluna que informa o Preço Unitário do Material das Composições',
            TipoMAT: 'Marcador para "Material"',
            TipoMDO: 'Marcador para "Mão-de-obra"',
            TipoEQU: 'Marcador para "Equipamento"',
            TipoSER: 'Marcador para "Serviço"',
            TipoTAX: 'Marcador para "Taxa"',
            TipoCOM: 'Marcador para "Composição"',
        };

        $scope.helpImport = [
            {
                Id: $scope.TipoPlanilha.ORCAMENTO, 
                linkVideo:'https://vigha.tawk.help/article/importacao-de-planilha-simples', 
                linkFile:'https://www.vighapp.com/planilhamodelo/MODELO_OrcamentoSimples.xlsx', 
                linkBlog:'https://blog.vighapp.com/como-importar-um-orcamento-do-excel-no-vigha/'
            },
            {
                Id: $scope.TipoPlanilha.ORCAMDOMAT, 
                linkVideo:'https://vigha.tawk.help/article/importacao-de-planilha-materia-prima-e-mao-de-obra', 
                linkFile:'https://www.vighapp.com/planilhamodelo/MODELO_OrcamentoMaterialMaoDeObra.xlsx', 
                linkBlog:'https://blog.vighapp.com/como-importar-um-orcamento-do-excel-no-vigha/'
            },
            {
                Id: $scope.TipoPlanilha.ORCABASE,
                linkVideo:'https://vigha.tawk.help/article/importacao-de-planilha-conectada-a-base-publica',
                linkVideo2: 'https://vigha.tawk.help/article/importacao-de-planilha-conectada-a-composicao-propria',
                linkFile:'https://www.vighapp.com/planilhamodelo/MODELO_OrcamentoSINAPI.xlsx', 
                linkFile2:'https://www.vighapp.com/planilhamodelo/MODELO_OrcamentoConectadoBasePropria.xlsx',
                linkBlog:'https://blog.vighapp.com/como-importar-um-orcamento-do-excel-no-vigha/'
            },
            {
                Id: $scope.TipoPlanilha.COMPOSICAO,
                linkVideo:'https://vigha.tawk.help/article/importacao-da-planilha-de-composicao-de-base-propria', 
                linkFile:'https://www.vighapp.com/planilhamodelo/MODELO_Composicoes_OrçamentoConectadoBasePropria.xlsx', 
                linkBlog:'https://blog.vighapp.com/como-importar-um-orcamento-do-excel-no-vigha/'
            }
        ];

    });

  }]);
